Subject: Re: [Cfrg] Adopting "AES-GCM-SIV: Nonce Misuse-Resistant Authenticated Encryption" as a CFRG document

From: "Paterson, Kenny" <[email-masked]>
Date: Mon, 18 Apr 2016 09:29:16 +0000

Dear CFRG,

Chairs had asked for discussion on whether the AES-GCM-SIV document should
be adopted as a CFRG document (see below). The chairs have been following
the ensuing discussions with interest. Taking all the discussion into
account, our view is that there is rough consensus to adopt the
AES-GCM-SIV draft as a CFRG document.

Regards,

Kenny (for the chairs)

On 28/03/2016 15:34, "Paterson, Kenny" <[email-masked]> wrote:

>Dear CFRG,
>
>Shay, Adam and Yehuda have asked the CFRG chairs whether their draft for
>AES-GCM-SIV can be adopted as a CFRG document. We are minded to do so, but
>first wanted to canvass members of the group for their opinions on taking
>this step.
>
>We are aware of the on-going CAESAR competition for AEAD schemes.
>AES-GCM-SIV is not a CAESAR candidate. CFRG adopting this document should
>not be interpreted as competing with or pre-empting the results of that
>very valuable activity. Indeed, once CAESAR is complete, we hope that some
>or all of the competition winners will end up being turned into RFCs under
>the auspices of CFRG.
>
>Regards,
>
>Kenny (for the chairs)
>
>
>On 06/03/2016 03:50, "Cfrg on behalf of Shay Gueron"
><[email-masked] on behalf of [email-masked]> wrote:
>
>>Hello CFRG,
>>
>> 
>>We would like to draw your attention to our new submission draft entitled
>>“AES-GCM-SIV: Nonce Misuse-Resistant Authenticated Encryption”. Posted on
>>https://www.ietf.org/internet-drafts/draft-gueron-gcmsiv-00.txt
>> 
>>The submission specifies two authenticated encryption algorithms that are
>>nonce misuse-resistant. Their performance is expected to be roughly on
>>par with AES-GCM,
>> when run on modern processors that have AES instructions.
>> 
>>Security and performance analysis can be found in S. Gueron and Y.
>>Lindell. GCM-SIV: Full Nonce Misuse-Resistant Authenticated Encryption at
>>Under One Cycle
>> per Byte. In 22nd ACM CCS, pages 109-119, 2015.
>> 
>>We hope that the CFRG will take this up as a working-group item.
>> 
>>Thank you,
>>
>> 
>>Shay Gueron, Adam Langley, Yehuda Lindell
>> 
>>
>>
>